# Define version and release number
%define php_common_major 8
%define php_common_sub 4
%define phplong %{php_common_major}.%{php_common_sub}
%define modname xattr
%define soname %{modname}.so
%define inifile A27_%{modname}.ini
%define incdir %(php-config%{phplong} --include-dir)
%define extdir %(php-config%{phplong} --extension-dir)

Summary:	Provides a interface to Extended attributes for PHP
Name:		php-%{modname}
Version:	1.4.0
Release:	%mkrel 14
Group:		Development/PHP
License:	PHP License
URL:		https://pecl.php.net/package/xattr
Source0:	https://pecl.php.net/get/xattr-%{version}.tgz
BuildRequires:	php-devel >= 3:%{phplong}.0
Epoch:		1

%description
%{modname}

%package -n php%{phplong}-%{modname}
Summary:	Provides a interface to Extended attributes for PHP
Group:		Development/PHP
Requires:	php >= 3:%{phplong}.0
Requires:	php-common = 3:%{phplong}
Provides:	php-%{modname} = %{epoch}:%{version}

%description -n php%{phplong}-%{modname}
This package allows to manipulate extended attributes on filesystems that
support them.

%prep

%setup -q -n xattr-%{version}
[ "../package.xml" != "/" ] && mv ../package.xml .

%build
%serverbuild

phpize
%configure --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{extdir}/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{modname}
EOF

%files -n php%{phplong}-%{modname}
%doc tests CREDITS package.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{extdir}/%{soname}


%changelog
* Fri Sep 13 2024 mokraemer <mokraemer> 1:1.4.0-14.mga10
+ Revision: 2095781
- rebuild for php 8.4 release

* Sat Jan 20 2024 mokraemer <mokraemer> 1:1.4.0-13.mga10
+ Revision: 2032737
- rebuild for include path change

* Thu Jan 18 2024 mokraemer <mokraemer> 1:1.4.0-12.mga10
+ Revision: 2031956
- support multiple php-versions
- prepare multi-php

* Fri Sep 08 2023 mokraemer <mokraemer> 1:1.4.0-10.mga10
+ Revision: 1985215
- rebuild for php 8.3

* Fri Nov 04 2022 mokraemer <mokraemer> 1:1.4.0-9.mga9
+ Revision: 1902357
+ rebuild (emptylog)

* Wed Aug 24 2022 mokraemer <mokraemer> 1:1.4.0-8.mga9
+ Revision: 1879793
- update extension for new directories

* Fri Jul 22 2022 mokraemer <mokraemer> 1:1.4.0-7.mga9
+ Revision: 1870001
- fix dependancy error

* Thu Jul 21 2022 mokraemer <mokraemer> 1:1.4.0-6.mga9
+ Revision: 1869870
- rebuild for php 8.2

* Thu Mar 17 2022 umeabot <umeabot> 1:1.4.0-5.mga9
+ Revision: 1796798
- Mageia 9 Mass Rebuild

* Fri Nov 26 2021 mokraemer <mokraemer> 1:1.4.0-4.mga9
+ Revision: 1759386
- rebuild for php 8.1

* Sun Nov 29 2020 mokraemer <mokraemer> 1:1.4.0-3.mga8
+ Revision: 1650257
+ rebuild (emptylog)

* Thu Jun 18 2020 mokraemer <mokraemer> 1:1.4.0-2.mga8
+ Revision: 1596264
- fix dep to current version

* Fri Apr 24 2020 mokraemer <mokraemer> 1:1.4.0-1.mga8
+ Revision: 1571588
- new version 1.4.0

* Wed Apr 22 2020 mokraemer <mokraemer> 1:1.3.1-1.mga8
+ Revision: 1570981
- new version 1.3.1

* Tue Feb 18 2020 umeabot <umeabot> 1:1.3.0-11.mga8
+ Revision: 1539006
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 mokraemer <mokraemer> 1:1.3.0-10.mga8
+ Revision: 1463547
+ rebuild (emptylog)

* Mon Oct 21 2019 mokraemer <mokraemer> 1:1.3.0-9.mga8
+ Revision: 1454934
- removed dirname

* Wed Dec 12 2018 mokraemer <mokraemer> 1:1.3.0-7.mga7
+ Revision: 1340480
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 1:1.3.0-6.mga7
+ Revision: 1325895
- updated requirements

* Sun Sep 23 2018 umeabot <umeabot> 1:1.3.0-5.mga7
+ Revision: 1300251
- Mageia 7 Mass Rebuild

* Wed Apr 11 2018 pterjan <pterjan> 1:1.3.0-4.mga7
+ Revision: 1217404
- Rebuild for php 7.2, it was built with old php on arm

* Sun Dec 03 2017 mokraemer <mokraemer> 1:1.3.0-3.mga7
+ Revision: 1181030
+ rebuild (emptylog)

* Mon Nov 13 2017 zezinho <zezinho> 1:1.3.0-2.mga7
+ Revision: 1177154
- rebuild against php 7

* Wed Mar 09 2016 oden <oden> 1:1.3.0-1.mga6
+ Revision: 988465
- 1.3.0

* Fri Feb 12 2016 umeabot <umeabot> 1:1.2.0-10.mga6
+ Revision: 958498
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:1.2.0-9.mga5
+ Revision: 743858
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.2.0-8.mga5
+ Revision: 687560
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 1:1.2.0-7.mga5
+ Revision: 616596
- rebuilt for php-5.6.0beta1

* Fri Jan 24 2014 pterjan <pterjan> 1:1.2.0-6.mga4
+ Revision: 567633
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 1:1.2.0-5.mga4
+ Revision: 527871
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 1:1.2.0-4.mga4
+ Revision: 442738
- rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 1:1.2.0-3.mga3
+ Revision: 393363
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 1:1.2.0-2.mga3
+ Revision: 377626
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 oden <oden> 1:1.2.0-1.mga3
+ Revision: 330966
- 1.2.0

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1:1.1.0-18.mga2
+ Revision: 223952
- httpd restart is handled by filetriggers now

* Sun Jan 16 2011 spuhler <spuhler> 1:1.1.0-17.mga1
+ Revision: 20303
- removed buildroot definition from .spec
- imported package php-xattr

